package com.muyu.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.CarMessage;
import com.muyu.domain.resp.CarMessageResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报文模板展示列表业务层
 */
public interface CarMessageService extends IService<CarMessage> {




    //报文切割
    /**
     * 分割字符串
     * 解析字符
     * 获取报文最终信息
     */
    JSONObject inciseCarMessage(String testString);


    List<CarMessage> selectCarMessageList(int modelCode);


    List<CarMessage> selectCarMessage(@Param("carMessageCartype") Integer carMessageCartype);


    List<CarMessage> selectCarMessageListAll(int i);
}
